Package Details: firefox-beta-bin 49.0b6-1

Git Clone URL: https://aur.archlinux.org/firefox-beta-bin.git (read-only)
Package Base: firefox-beta-bin
Description: Standalone web browser from mozilla.org - Beta
Upstream URL: https://www.mozilla.org/en-US/firefox/channel/#beta
Licenses: GPL, MPL, LGPL
Provides: firefox=49.0b6
Submitter: Schnouki
Maintainer: Det (symen)
Last Packager: Det
Votes: 311
Popularity: 3.235261
First Submitted: 2010-07-07 09:05
Last Updated: 2016-08-23 16:37

Required by (120)

Sources (4)

Latest Comments

andya commented on 2016-08-04 20:01

Doesn't launch on my system. From the cli I get:
ExceptionHandler::GenerateDump cloned child 3063
ExceptionHandler::SendContinueSignalToChild sent continue signal to child
ExceptionHandler::WaitForContinueSignal waiting for continue signal...
Gtk-Message: GtkDialog mapped without a transient parent. This is discouraged.

Det commented on 2016-03-18 19:36

What's wrong is that my script still didn't work, and that your single comment takes up 24 lines.

Also, I don't get why do you show a tutorial, then conclude "BTW, what was the reason? I think this is extremely wrong."

buglloc commented on 2016-03-18 17:16

@Det I have same issue:
==> Validating source files with sha512sums...
firefox-beta-bin.desktop ... Passed
firefox-beta-bin-safe.desktop ... Passed
==> Validating source_x86_64 files with sha512sums...
firefox-46.0b2.tar.bz2 ... FAILED
==> ERROR: One or more files did not pass the validity check!




According to documentation https://wiki.archlinux.org/index.php/PKGBUILD#Integrity you must use 'SKIP' instead empty string to skip integrity checking:
> You can also insert SKIP for a particular file, and its checksum will not be tested.

So after edit PKGBUILD:
-sha512sums_i686=('')
-sha512sums_x86_64=('')
+sha512sums_i686=('SKIP')
+sha512sums_x86_64=('SKIP')

it was successfully installed.


BTW, what was the reason to skip integrity checking? I think this is extremely wrong.

Det commented on 2016-03-11 14:52

@CaptainMurica, please use Pastebin.

@Kalentia, if you'd look at the PKGBUILD or the commit log instead of guessing, you'd see that my script didn't create any SHA-512 sums at all.

Kalentia commented on 2016-03-11 14:39

@CaptainMurica same issue occurs here, it seems either the checksums weren't updated or the package is incorrect.

XoraTheImmortal commented on 2016-03-11 00:51

When I try to install version 46.0b1-1, this happens:

==> Building and installing package
==> Making package: firefox-beta-bin 46.0b1-1 (Thu Mar 10 19:48:24 EST 2016)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
-> Found firefox-beta-bin.desktop
-> Found firefox-beta-bin-safe.desktop
-> Downloading firefox-46.0b1.tar.bz2...
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
100 50.4M 100 50.4M 0 0 1973k 0 0:00:26 0:00:26 --:--:-- 2034k
==> Validating source files with sha512sums...
firefox-beta-bin.desktop ... Passed
firefox-beta-bin-safe.desktop ... Passed
==> Validating source_x86_64 files with sha512sums...
firefox-46.0b1.tar.bz2 ... FAILED
==> ERROR: One or more files did not pass the validity check!
==> ERROR: Makepkg was unable to build firefox-beta-bin.
==> Restart building firefox-beta-bin ? [y/N]

argymeg commented on 2015-12-18 09:38

GTK3 has indeed been pushed back to version 45 (https://bugzilla.mozilla.org/show_bug.cgi?id=1186003) for reasons related to the built-in updater. So this is hopefully the last time going back and forth on this.

esrevinu commented on 2015-12-16 02:08

From a version, firefox-beta seems changed to use gtk2. Maybe beta 8.
firefox-beta-bin 43.0 is using gtk2, not gtk3, while firefox 43.0 in extra repo is using gtk3.

Pival81 commented on 2015-11-11 20:04

it gives me an error saying that the md5sum is not right.
i looked up the pkgbuild and it is not right.
you have to write 'SKIP' in the md5sums array.
correct me if i'm wrong.

andya commented on 2015-11-05 10:53

thank’you for clarifing

AnAkkk commented on 2015-11-05 10:51

It does, this is required to run any plugins, not only flash. The plugin process probably depend on it.
This is why it was kept in firefox-developer and firefox-nightly.

andya commented on 2015-11-05 10:46

Yes, but flashplugin already has gtk2 as dependency, gtk2 doesn’t belong to firefox dependencies

AnAkkk commented on 2015-11-05 10:42

No, plugins like flash still require gtk2.

andya commented on 2015-11-05 10:42

@AnAkk We can also drop gtk2, as firefox 43 is finally gitk3!

AnAkkk commented on 2015-11-05 10:19

This should most likely no longer depends on gstreamer0.10*, but now on ffmpeg, as it was enabled by default in 43, and replace gstreamer.

craftyguy commented on 2015-11-04 06:37

ok.. thank you.

Det commented on 2015-11-04 06:15

I don't need the output.

craftyguy commented on 2015-11-03 18:37

md5s need to be updated...


==> Validating source files with md5sums...
firefox-42.0.tar.bz2 ... FAILED
==> ERROR: One or more files did not pass the validity check!
==> ERROR: Makepkg was unable to build firefox-beta-bin.

craftyguy commented on 2015-10-24 19:50

md5s need to be updated...



-> Downloading firefox-42.0b9.tar.bz2...
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
100 47.6M 100 47.6M 0 0 3249k 0 0:00:15 0:00:15 --:--:-- 3106k
==> Validating source files with md5sums...
firefox-beta-bin.desktop ... Passed
firefox-beta-bin-safe.desktop ... Passed
==> Validating source files with md5sums...
firefox-42.0b9.tar.bz2 ... FAILED
==> ERROR: One or more files did not pass the validity check!
==> ERROR: Makepkg was unable to build firefox-beta-bin.

Det commented on 2015-10-21 04:21

The whole ftp.mozilla.org was acting weird.

symen commented on 2015-10-20 22:34

That's weird, the file was still there 2 hours ago...
Maybe they found a severe issue and decided to withdraw the update ?

dlevey commented on 2015-10-20 22:22

https://ftp.mozilla.org/pub/mozilla.org/firefox/releases/42.0b8/linux-x86_64/en-US/firefox-42.0b8.tar.bz2 (x86_64)

<Error>
<Code>NoSuchKey</Code>
<Message>The specified key does not exist.</Message>
<Key>
pub/firefox/releases/42.0b8/linux-x86_64/en-US/firefox-42.0b8.tar.bz2
</Key>
<RequestId>21B545EBE77E54E2</RequestId>
<HostId>
SIYDiSx56w2tPWqZIDm2DrWbIYKI+9Cpd2szkG0NC3/B9dXoEZX/J7wkbYMm+m6a7towzsL9cSk=
</HostId>
</Error>

craftyguy commented on 2015-10-14 02:08

Please edit the firefox-beta-bin-safe.desktop file and change:

StartupWMClass=Firefox

to something like:

StartupWMClass=Firefox-Safe

Currently this file has the same value for StartupWMClass as Firefox-beta-bin, and this causes panel & dock apps (like plank) do screw up displaying icons for this package (e.g. showing the "safe mode" launcher when adding the non-"safe mode" launcher to the dock)

argymeg commented on 2015-10-05 09:49

As per a rather confusing discussion in the bug comments (https://bugzilla.mozilla.org/show_bug.cgi?id=1186003) but also as per about:buildconfig, gtk3 has been pushed back to v43 and v42 is back to gtk2.

Det commented on 2015-09-26 10:09

Okay, thanks, guys. Depends on both for now.

AnAkkk commented on 2015-09-26 10:06

required*

AnAkkk commented on 2015-09-26 10:05

gtk2 is requires for plugins.

symen commented on 2015-09-26 10:04

I can confirm that it actually depends on gtk3 as @argymeg said. I tried to run firefox-beta in a clean chroot and it only ran with gtk3 installed (and didn't care if gtk2 was there or not).

Det commented on 2015-09-26 08:20

Doesn't need gtk2 anymore either? Can't test right now.

argymeg commented on 2015-09-26 01:18

The configure arguments (as shown in about:buildconfig) include "--enable-default-toolkit=cairo-gtk3".

AnAkkk commented on 2015-09-24 10:44

GTK3 is only on Aurora/Nightly, I don't think it reached beta.

argymeg commented on 2015-09-24 10:25

I think the dependency should be changed to gtk3.
https://bugzilla.mozilla.org/show_bug.cgi?id=1186003

darnir commented on 2015-08-08 04:52

Is there any specific reason why the package is installed to /opt/$pkgname-$pkgver?

It makes it very difficult to maintain a PKGBUILD for an extension targeting firefox-beta-bin. If this package were to install to /opt/$pkgname it would a constant path where we can install the extensions to.

Det commented on 2015-06-27 09:19

Fixed.

Humar commented on 2015-06-27 06:50

Anyone else getting validity check error?

firefox-beta-bin.desktop ... Passed
firefox-beta-bin-safe.desktop ... FAILED
==> ERROR: One or more files did not pass the validity check!
==> ERROR: Makepkg was unable to build firefox-beta-bin.

festerman commented on 2015-04-29 19:15

I'll confess I missed that! Thanks. In fact, one of the linked pages, https://wiki.mozilla.org/Software_Update:Checking_For_Updates, describes it in even more detail, and I've checked that the preferences described actually exist and are updated (the Wiki page was last edited 7,5 years ago, so it could have been obsolete ...)

Det commented on 2015-04-29 18:22

Googling reveals this: https://wiki.mozilla.org/Software_Update#Downloading_the_Update

"Firefox will periodically check the Mozilla.org update servers (AUS) for available updates. The update server will return a manifest file (which is a simple XML file) over HTTPS that will point Firefox at the right update package to download."

Too tired to look any further.

festerman commented on 2015-04-29 18:17

Det, I had absolutely no intention to express any disagreement with you! (and maybe that bang should be taken as a yell ... :-) In fact, I find your work pretty awesome. Keep it up, please!

I'd be interested in any insights you have into how firefox knows it is time to update. I imagined that it could have been the latest_beta link, but seeing it is not that rigorously maintained, I don't see how it could. Do you?

Det commented on 2015-04-29 16:27

Btw. seems like they created another folder called "38.0b8-2", which actually is the same as the current "38.0b8":

- https://ftp.mozilla.org/pub/mozilla.org/firefox/releases/38.0b8/
- https://ftp.mozilla.org/pub/mozilla.org/firefox/releases/38.0b8-2/
- https://ftp.mozilla.org/pub/mozilla.org/firefox/releases/?C=M;O=D

Det commented on 2015-04-29 16:13

Don't yell at me.

festerman commented on 2015-04-28 19:15

No criticism intended!!!

Det commented on 2015-04-28 19:09

Okay, I was wrong, calm down.

festerman commented on 2015-04-28 19:08

You think? My FF wanted to update to b8 earlier ...

Det commented on 2015-04-28 18:58

That seems like it's the auto-update link, so that current builds can't update, until the new one has been tested.

festerman commented on 2015-04-28 18:57

... and in fact (returning to an old comment of mine :-), currently the latest_beta symlink points to b6, and not to the currently, *real* latest beta ...

Det commented on 2015-04-28 18:49

New build, apparently.

festerman commented on 2015-04-28 18:47

Latest PKGBUILD has an incorrect md5sum for the x86_64 tar, should be

61d9d14e76a3cdd8fd228fb16116e2c4

Cheers

jwhickman commented on 2015-04-22 16:08

For those curious about the gst1.0 stuff, the release 'firefox' Arch package (37.0.*) does have it enabled. From the about:buildconfig...
--enable-application=browser --prefix=/usr --libdir=/usr/lib --enable-official-branding --with-system-nspr --with-system-nss --with-system-jpeg --with-system-zlib --with-system-bz2 --with-system-png --with-system-libevent --with-system-libvpx --with-system-icu --enable-system-hunspell --enable-system-sqlite --enable-system-ffi --enable-system-pixman --enable-startup-notification --enable-pulseaudio --enable-gstreamer=1.0 [...]

And its optional packages reflect that; hopefully the beta linux package from Mozilla will starting using it soon too. This did prompt me to learn how to build it from source though for testing, using gst1.0. :)

Det commented on 2015-03-12 14:41

Apparently: https://www.youtube.com/html5

AnAkkk commented on 2015-03-12 13:15

The gstreamer 1.0 optional dependencies are wrong. Official mozilla builds are still with gstreamer 0.10.

Det commented on 2014-11-27 00:59

Apparently, Firefox will soon be switching all Google users to Yahoo. The 34.0.5 candidate is supposedly testing this for all en-US users.

- http://forums.mozillazine.org/viewtopic.php?f=23&p=13896935
- http://andreasgal.com/2014/11/19/yahoo-and-mozilla-form-strategic-partnership/

Det commented on 2014-11-02 20:18

That too (though I doubt it'll ever "go away").

festerman commented on 2014-11-02 20:15

@Det: don't use the latest-beta symlink, it has happened in the past that it has not been relinked on a new beta. The real, named directory will always be there, the symlink may be updated or not (or even go away) ...

Det commented on 2014-11-02 10:33

Update link? You mean source link?

I could do that, but then I should also make the pkgver grep the version string, otherwise people would get a second update when I update the package.

alison commented on 2014-11-02 05:13

The update link needs to use:

https://ftp.mozilla.org/pub/mozilla.org/firefox/releases/latest-beta/linux-x86_64/en-US/

rather than

https://ftp.mozilla.org/pub/mozilla.org/firefox/releases/34.0b4/linux-x86_64/en-US/

Otherwise, all else works great.

alison commented on 2014-11-02 05:00

Well, this package has been working quite nicely. Recently, it's been issuing a pretty notification: Firefox beta 34 version 5 is ready for downloading.

It tries "Connecting to the update server...", but there's no response.

Otherwise, it's a well-oiled package with a conscientious maintainer.

Det commented on 2014-10-15 12:36

And now it's back again.

Det commented on 2014-10-15 05:25

Apparently they pulled off 34.0b1, so downgraded to 33.0: https://ftp.mozilla.org/pub/mozilla.org/firefox/releases/34.0b1/

Det commented on 2014-10-14 07:07

Again, blackout, I just told you, https://ftp.mozilla.org/pub/mozilla.org/firefox/candidates/34.0b1-candidates/build1/ is just a _candidate_ of the first beta for 34.0.

The current one is a candidate for the final release of 33.0.

Please stop flagging this :).

Det commented on 2014-10-14 07:06

Again, blackout, I just told you, https://ftp.mozilla.org/pub/mozilla.org/firefox/candidates/34.0b1-candidates/build1/ is just a _candidate_ of the first beta for 34.0b1.

The current one is a candidate for 33.0.

Please stop flagging this :).

Det commented on 2014-09-29 20:38

Yes. Though, they are just optdeps.

benuski commented on 2014-09-27 15:49

Is there any interest in switching over to the gst series instead of the gstreamer0.10 series?

Det commented on 2014-09-24 22:19

Wakatta.

orschiro commented on 2014-09-24 20:35

I just received an update notification that Beta 7 is out.

Regards

festerman commented on 2014-09-06 07:01

@Det: Go for it!

Det commented on 2014-09-05 23:12

That's naturally mine then. I thank you.

axil42 commented on 2014-09-05 17:53

I think it's time I disowned this package, since I use nightly on a daily basis and I'm missing the beta updates, getting you all frustrated :p

Whoever thinks can handle the updates, feel free to adopt it. Thanks for putting up with me for so long :)

festerman commented on 2014-08-31 12:38

The script @ https://github.com/festerman/utils/blob/master/update_ff.sh now handles release candidates, too ...

festerman commented on 2014-08-28 16:11

There's another script to do the packaging @ https://github.com/festerman/utils/blob/master/update_ff.sh . I use that when FF's whining about upgrades grows annoying ...

Det commented on 2014-08-22 18:16

Here, I wrote a script for you: http://pastebin.com/5YjYnStN

..for the following PKGBUILD: http://pastebin.com/WvZz8RuG

All it needs is:
- cower (download): https://aur.archlinux.org/packages/cower/
- community/pkgbuild-introspection (mkaurball: .AURINFO): https://www.archlinux.org/packages/community/any/pkgbuild-introspection/
- extra/burp (upload): https://www.archlinux.org/packages/extra/x86_64/burp/

You could also time it with cron or some systemd service. While I was in the army, I simply had my machine come out of sleep every hour (it was still annoying to remove the excessive out-of-date notifications from during night times when my network would be cut of).

axil42 commented on 2014-08-21 12:10

Sorry guys, I'm on vacation with limited internet access. Uploaded 32.0b8.

@Det, sorry about that, I'll try to find a way to update it as soon as a new version is landed.

Ragnis commented on 2014-08-20 10:18

PKGBUILD for 32.0b8: http://hastebin.com/zovitaxuka

Det commented on 2014-08-12 03:42

I'm sorry, but I'm tired of flagging this out-of-date.

axil42 commented on 2014-07-25 11:16

Seems they changed the package upstream. Reuploaded with correct SHA1 sums. Thanks for reporting.

festerman commented on 2014-07-25 10:22

Appears latest update has the wrong SHA1SUMs, won't install?

Det commented on 2014-07-21 15:46

Why is that off topic?

dxxvi commented on 2014-07-20 05:11

Off topic: I manually upgraded to 31.0 RC1/2 by modifying the PKGBUILD. It seemed to me that they had some issue with some javascript scripts in yahoo mail while 31.0b9 didn't.

Det commented on 2014-07-19 23:50

https://ftp.mozilla.org/pub/mozilla.org/firefox/candidates/31.0-candidates/

Det commented on 2014-07-19 23:50

https://ftp.mozilla.org/pub/mozilla.org/firefox/candidates/

axil42 commented on 2014-06-12 00:23

Yeah, sorry was without an Arch system for a few days, should be fine now.

Det commented on 2014-06-11 21:17

https://ftp.mozilla.org/pub/mozilla.org/firefox/releases/31.0b1/

Det commented on 2014-06-09 22:02

RC1/2: https://ftp.mozilla.org/pub/mozilla.org/firefox/candidates/30.0-candidates/

marcvangend commented on 2014-06-06 21:35

I had the same problem as dxxvi. It looks like it's caused by the value of StartupWMClass in the .desktop files. The behavior changed once I had entered unique values for StartupWMClass in each .desktop file, but that said - I don't really understand how it works or what the optimal configuration is.

marcvangend commented on 2014-05-27 13:06

dxxvi: I'm seeing exactly the same problem, did you ever find a solution or workaround?

nuc commented on 2014-05-11 15:55

ff30 supports gstreamer 1.0

dxxvi commented on 2014-05-07 09:47

Since I upgraded to gnome 3.12, there is something wrong with this firefox icon/link. In the all applications section (click Activities, then click on the multi-dot square Show Applications at the bottom), there are 2 firefox icons: Firefox Beta and Firefox Beta - Safe Mode. I start the Firefox Beta application but the icon in the left panel (the one you see when clicking Activites) is Firefox Beta - Safe Mode. Does anybody know how to fix this?
Thanks.

Supergeek800 commented on 2014-04-29 13:57

Firefox 29 just went stable, so it might be a good idea to update Beta.

Det commented on 2014-04-28 16:38

Pastebin.

marsoft commented on 2014-04-28 14:04

Here is a patch for rc1:

--- PKGBUILD 2014-04-24 10:51:09.000000000 +0400
+++ PKGBUILD.new 2014-04-28 18:03:52.392385260 +0400
@@ -3,7 +3,8 @@
pkgname=firefox-beta-bin-ru
_pkgreal=firefox-beta-bin
_pkgnome=firefox-beta
-pkgver=29.0b9
+pkgver=29.0rc1
+_pkgver=29.0
pkgrel=1
_lang=ru
_srcurl=ftp://ftp.mozilla.org/pub/firefox/candidates
@@ -14,17 +15,17 @@
license=('MPL' 'GPL' 'LGPL')
provides=('firefox-29.0b9')

-_source_x86=(${_srcurl}/${pkgver}-candidates/build1/linux-i686/${_lang}/firefox-${pkgver}.tar.bz2
+_source_x86=(${_srcurl}/${_pkgver}-candidates/build1/linux-i686/${_lang}/firefox-${_pkgver}.tar.bz2
${_pkgnome}.desktop
${_pkgnome}-safe.desktop)
-_md5sums_x86=('a56076b78a4fa15fb601ee483eebbf8b'
+_md5sums_x86=('464273de4f9c6846c50a09faeb76f83e'
'8698d9cd40cdd170349db1315f0f1304'
'052799fafa03136743b439fafb17d751')

-_source_x86_64=(${_srcurl}/${pkgver}-candidates/build1/linux-x86_64/${_lang}/firefox-${pkgver}.tar.bz2
+_source_x86_64=(${_srcurl}/${_pkgver}-candidates/build1/linux-x86_64/${_lang}/firefox-${_pkgver}.tar.bz2
${_pkgnome}.desktop
${_pkgnome}-safe.desktop)
-_md5sums_x86_64=('4bb6956ff6a006620084e0575576fc5b'
+_md5sums_x86_64=('dfcd65c465f2e2320179277611aefd41'
'8698d9cd40cdd170349db1315f0f1304'
'052799fafa03136743b439fafb17d751')

dmiranda commented on 2014-04-26 19:43

Candidates Releases are more stable than beta and less than full stable versions.
The Firefox Cicle is Beta1-> Beta2->...->RC1->RC2...->Stable
I believe it's a good idea to provide the RC too.

axil42 commented on 2014-04-26 10:51

Candidates are not stable builds yet, right? I'm updating this package through the releases folder and right now there is no new version.

d81 commented on 2014-04-25 20:01

Thanks Anarconda. I figured it was something stupid I missed...

Anarconda commented on 2014-04-25 19:33

You need to look for candidates:

ftp://ftp.mozilla.org/pub/firefox/candidates/29.0-candidates/build1/

d81 commented on 2014-04-25 19:31

I see this package is flagged out of date but I find no update (29.0rc1) on Mozilla's servers. There is no package for Windows, Mac, or Linux on the ftp server that I can find newer than 29.0b9.

Firefox itself tells me an update is available, but when I click to download the update it takes me to the same "29.0b9" I have installed. If I go to the "check to see if I have the latest version" page it informs me "Congratulations! You are running the latest version of Firefox."

This has been going on for a few days and its annoying. Anyone have a clue as to what is going on?

bb010g commented on 2014-04-02 23:54

Despite having the gstreamer optional dependencies listed in the PKGBUILD, I can't get them to show up in about:plugins and H.264 media won't work.

beatgammit commented on 2014-03-19 17:42

29.0b1 has been uploaded. Checksums:

x86_64 - c2b7d5da9cddffe5c3cdf42fbf0f21a6ae3291fc
i686 - 8120aa850f676a68cc5c840d97e9933063d4a426

scrtyfrk commented on 2014-03-14 12:31

28.0b9 - checksums

x86_64 - 75666f4610eb2ef1e18d0280b0e1880ee9d18e63

i686 - 376da94871ddca4765eef7e70e76de9b542db596

axil42 commented on 2014-03-04 11:12

In PKGBUILD I had http://www.mozilla.com/en-US/firefox/fx/#desktop but AUR somehow omited the #desktop part. I updated it to point to .org instead.

Det commented on 2014-03-03 21:45

https://www.mozilla.org/en-US/firefox/fx/

E: Hmm, no you didn't.

Det commented on 2014-03-03 21:44

https://www.mozilla.org/en-US/firefox/fx/

axil42 commented on 2014-03-03 10:53

Ok, got it. I changed the url to point to desktop. Thanks.

axil42 commented on 2014-03-03 10:50

@Det what do you mean?

Supergeek800 commented on 2014-03-02 19:38

Might wanna update this package again, 28.0b7's been out for a while now.

Det commented on 2014-02-28 13:20

You're linking to "Firefox for Android"?

Supergeek800 commented on 2014-02-27 06:37

No prob! Ran Nightly for a while, but switched to Beta for stability reasons. :) I was pretty good at notifying the Nightly maintainer of new releases as well.

axil42 commented on 2014-02-26 22:21

@Supergeek800 thanks for the heads up, updated.

Supergeek800 commented on 2014-02-26 21:32

28.0b6-1 just came out, I pointed the PKGBUILD towards that version, but just letting you know that a newer version came out.

axil42 commented on 2014-02-09 09:50

@Mektub

Fixed, sorry about this.

Mektub commented on 2014-02-08 15:01

Somehow one of the checksums was failing:

==> Validating source files with sha1sums...
firefox-28.0b1.tar.bz2 ... FAILED
firefox-beta-bin.desktop ... Passed
firefox-beta-bin-safe.desktop ... Passed


Had to change it to:

sha1sums=('691befb0b88be6a56ad8f89f515b5e632fb87b54'

Mektub

Det commented on 2014-02-05 12:59

It seems, as if [1] is the RC and [2] the final. Though, the dates are confusing as hell. It's like they had a "bug-fix freeze" in January 28 ("we won't be accepting new bug fixes until 27.0 is released a week from now").

[1] = https://ftp.mozilla.org/pub/mozilla.org/firefox/candidates/27.0-candidates/build1/linux-x86_64/en-US/
[2] = https://ftp.mozilla.org/pub/mozilla.org/firefox/releases/27.0/linux-x86_64/en-US/

E: and in fact, it seems like the RC _is_ the final. Even the sources have the same timestamp to them.[3][4]

[3] = https://ftp.mozilla.org/pub/mozilla.org/firefox/candidates/27.0-candidates/build1/source/
[4] = https://ftp.mozilla.org/pub/mozilla.org/firefox/releases/27.0/source/

Det commented on 2014-02-05 12:57

It seems, as if [1] is the RC and [2] the final. Though, the dates are confusing as hell. It's like they had a "bug-fix freeze" in January 28 ("we won't be accepting new bug fixes until 27.0 is released a week from now").

[1] = https://ftp.mozilla.org/pub/mozilla.org/firefox/candidates/27.0-candidates/build1/linux-x86_64/en-US/
[2] = https://ftp.mozilla.org/pub/mozilla.org/firefox/releases/27.0/linux-x86_64/en-US/

shadeless commented on 2014-02-02 04:30

Firefox keeps asking me to update to 27.0 RC 1. What is it and how can I install it on Arch?

axil42 commented on 2014-01-16 12:24

Updated. Sorry for the hiatus, I was with barely no internet access for almost 2 weeks.

Det commented on 2014-01-16 07:17

Would you please update?

axil42 commented on 2013-12-13 14:00

@Yamakaky added opt depends that I copied from official firefox in [extra]. Didn't bump version.

Yamakaky commented on 2013-12-12 16:05

no opt-dependencies ?

Det commented on 2013-11-26 16:12

Actually I just visit http://ftp.mozilla.org/pub/firefox/releases/.

For my own packages I simply use scripts these days so I don't even have to care whether there's an update.

rectec commented on 2013-11-26 02:13

@axil42 I get nagging popups a couple times a session which notify me of a new beta release. Every time I get them I go check here and see if you're keeping up with it :P
Doing a good job so far :)

axil42 commented on 2013-11-25 15:37

@Det hehe, yeah I saw the mail notification early enough :p
Where do you guys get informed about the new updates? Is there a firefox notification or sth? I'm using nightly the last days to be frank.

Det commented on 2013-11-25 14:34

A fast update or what?

rectec commented on 2013-11-16 00:10

Please try to keep up with the beta releases :)

Currently we're at Firefox 26.0b5. Source: http://ftp.mozilla.org/pub/firefox/releases/26.0b5/linux-/en-US/firefox-26.0b5.tar.bz2

Keep up the good work.

rectec commented on 2013-11-03 01:41

Thanks for updating. Builds fine :)

festerman commented on 2013-10-12 14:53

Nice to have you back!

I've hacked up a script to check for the latest version, and do the fix to PKGBUILD etc. It's in https://github.com/festerman/utils/blob/master/update_ff.sh if you want to check it out.

axil42 commented on 2013-10-12 14:21

Sorry guys, was with no internet access for some days.

As for the script, it is fairly dummy and doesn't check for much things.

festerman commented on 2013-10-12 13:57

@shadeless:Did you run it with the argument '25.0b7'? You need to tell it what version to download.

shadeless commented on 2013-10-12 12:51

Hi,
I tried running the script, but it told me the latest version was 25.0b3-1.
"Current version: 25.0b3-1"
What might I be doing wrong?

festerman commented on 2013-10-12 08:06

Axil42's script (see the comments for the github link) for fixing the PKGBUILD and building the package works very well if you want to do the update yourself. You'll need the cower package, and you'll want to edit away the upload to AUR, and maybe add the installation directly into the script. Current version is '25.0b7'.

shadeless commented on 2013-09-07 02:58

While I wait for these packages to be updated, how do I change the PKGBUILD file. Where can I find the new sha1sum? Do I just need to put a new sha1sum and pkgver?

lifning commented on 2013-08-14 02:48

new sha1sum (64bit):
e03f09c764168a4fd21942542cef187fac661fbd firefox-24.0b2.tar.bz2

PLum commented on 2013-07-19 12:10

568d6174b2540977ca914c2c79b09a2d370582ef firefox-23.0b7.tar.bz2 (64bit)

axil42 commented on 2013-04-03 11:51

Fixed. Please retry.

freestyler7 commented on 2013-04-03 09:43

Hello, can't build latest version.
install: cannot stat ‘/home/free/aur/firefox-beta-bin/src/firefox/icons/mozicon128.png’: No such file or directory

rjrjr commented on 2013-01-13 19:56

Yup, that fixed it, thanks!

axil42 commented on 2013-01-12 07:59

Yeah, I'm pushing an update now. Sorry for the confusion. Seems mozilla changed something.

rjrjr commented on 2013-01-11 16:52

==> Validating source files with sha1sums...
firefox-19.0b1.tar.bz2 ... FAILED
firefox-beta-bin.desktop ... Passed
firefox-beta-bin-safe.desktop ... Passed
==> ERROR: One or more files did not pass the validity check!
The build failed.

Anyone else having this problem? I cleared the cached package and redownloaded, but still get the same error.

axil42 commented on 2013-01-11 08:39

Actually, I'm using a script for the updates.

https://github.com/axilleas/bin/blob/master/ff

axil42 commented on 2013-01-11 08:38

Actually, I'm using a script for the updates, see [0].

jnever1 commented on 2013-01-11 04:15

Here's a messy example of what I'm talking about:

source=("http://ftp.mozilla.org/pub/firefox/releases/${pkgver}/SHA1SUMS"
"http://ftp.mozilla.org/pub/firefox/releases/${pkgver}/linux-${CARCH}/en-US/firefox-${pkgver}.tar.bz2"
"$pkgname.desktop"
"$pkgname-safe.desktop")

sysarch=`uname -m`
firesum=`grep ${sysarch} SHA1SUMS | grep 'en-US' | grep 'bz2' | cut -c1-40`
sumsOrigin=`sha1sum SHA1SUMS | cut -c1-40`

sha1sums=($sumsOrigin
$firesum
'dd2afa6a6369b9c6ca549152d2df46794b3b385d'
'30990dafa5bea211ea2b84dadb56ac68324f48a3')

jnever1 commented on 2013-01-11 03:41

It suddenly dawned upon me how half-helpful it was to post checksum data without listing architecture.

That said, would there be a reasonable way to parse data at, for example:
http://ftp.mozilla.org/pub/mozilla.org/firefox/releases/19.0b1/SHA1SUMS
for the sums with respect to current version, locale, and architecture from within PKGBUILD?

Like wget http://.../SHA1SUMS followed by a REGEX or grep?

Just a thought to help reduce maintenance.

jnever1 commented on 2013-01-11 03:05

It suddenly dawned upon me how half-helpful it was to post checksum data without listing architecture.

That said, would there be a reasonable way to parse data at, for example:
http://ftp.mozilla.org/pub/mozilla.org/firefox/releases/19.0b1/SHA1SUMS
for the sums with respect to current version, locale, and architecture from within PKGBUILD?

Like wget http://.../SHA1SUMS followed by a REGEX or grep?

Just a thought to help reduce maintenance.

jnever1 commented on 2013-01-11 02:57

It suddenly dawned upon me how half-helpful it was to post checksum data without listing architecture.

That said, would there be a reasonable way to parse data at, for example:
http://ftp.mozilla.org/pub/mozilla.org/firefox/candidates/19.0b1-candidates/build3/SHA1SUMS
for the sums with respect to current version, locale, and architecture from within PKGBUILD?

Like wget http://.../SHA1SUMS followed by a REGEX or grep?

Just a thought to help reduce maintenance.

jnever1 commented on 2013-01-11 02:55

It suddenly dawned upon me how half-helpful it was to post checksum data without listing architecture.

That said, would there be a reasonable way to parse data at, for example:
http://ftp.mozilla.org/pub.mozilla.org/firefox/candidates/19.0b1-candidates/build3/SHA1SUMS
for the sums with respect to current version, locale, and architecture from within PKGBUILD?

Like wget http://.../SHA1SUMS followed by a REGEX or grep?

Just a thought to help reduce maintenance.

axil42 commented on 2013-01-02 09:03

I wonder why this was still at b5. I'm pretty sure I updated to b6. Anyway, b7 is up, thanks for the heads up :)

Det commented on 2013-01-01 20:28

Yeah, [code] tags would be awesome.

jnever1 commented on 2013-01-01 20:14

[CODE]pkgver=18.0b7

sha1sums=('7f63257255729452dd78e75d486868090f926e5f'
'dd2afa6a6369b9c6ca549152d2df46794b3b385d'
'30990dafa5bea211ea2b84dadb56ac68324f48a3')[/CODE]


Happy New Year! Thanks for all your hard work!

raw commented on 2012-11-15 06:59

17.0b6 is out, sha1sum: 9878db1f22b9272447bbd6bc056b8ae899258194

axil42 commented on 2012-10-22 18:17

Yeah sure, I updated it to point to http.

jnever1 commented on 2012-10-22 18:02

I have consistently had to edit PKGBUILD to reflect http://ftp.mozilla.com... rather than ftp://ftp... sinse beta 12. While I use yaourt/virtualbox and this issue may prove exclusive to my setup you may wish to investigate why ftp download fails where http does not.

axil42 commented on 2012-08-29 12:21

Updated thanks.

Det commented on 2012-08-29 11:34

Just for clarification the beta channel stays on the previous beta until a new one is released. Since the stable one is a newer release _anyway_, it'd be stupid to just skip it so that you could stay in your stupid channel. Even if the new beta is pushed within a day or so.

So if you like, you can update it in between. You'll be switched back to the beta channel in b1 anyway.

axil42 commented on 2012-08-29 07:46

Yeap, if you take some time and read previous comments, the location where I pull the updates is ftp://ftp.mozilla.org/pub/firefox/releases and not http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly. Nightly is not Beta. There is a nightly package in aur if you want to use that. Finally, when a stable version is released, I update the package to that version until a beta one appears in the location I mentioned above. That is a convention we agreed to follow, it's in the comments, too. Cheers!

cpatrick08 commented on 2012-08-29 01:10

@markelos your link is for the final stable releases beta releases are at http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly

cpatrick08 commented on 2012-08-29 01:00

firefox 16 beta 1 is out http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/16.0b1-candidates/build1/

cpatrick08 commented on 2012-08-29 00:52

I download this package and it put me on the stable release channel instead of the beta build

cpatrick08 commented on 2012-08-18 01:11

firefox 15 beta 5 is out

danbruegge commented on 2012-08-01 07:07

Thanks! :)

axil42 commented on 2012-08-01 06:32

Sorry, I forgot to update it. Last time I checked there wasn't yet a SHA1SUMS file, so I didn't update it. Should be fine now.

@haengebruegge
Releases are under ftp://ftp.mozilla.org/pub/firefox/releases/

danbruegge commented on 2012-08-01 06:03

How can i update to Beta2?

Where i can find the sha1sum?

festerman commented on 2012-07-08 19:20

Had the same experience: and a downgrade to gcc-libs-4.7.1-1 (and gcc-4.7.1-1, glibc-2.15-7) makes it work.

Anonymous comment on 2012-07-05 18:58

Crashes instantly on launch after latest glibc/binutils/gcc-libs upgrade.

doits commented on 2012-06-28 10:32

for easier updating I'd suggest to change PKGBUILD sha1sums to this:

sha1sums=(`curl -s ${source/li*}/SHA1SUMS | grep en-US | grep "$CARCH" | grep bz | grep $pkgver | head -n 1 | cut -d " " -f1`
'dd2afa6a6369b9c6ca549152d2df46794b3b385d'
'30990dafa5bea211ea2b84dadb56ac68324f48a3')

This way only $pkgver has to be incremented in PKGBUILD to update the port. Successfully doing this with thunderbird-beta-bin already.

axil42 commented on 2012-05-02 10:59

In PKGBUILD replace en-US with your language.

sleepforlife commented on 2012-05-02 10:03

how can i download language?

Druedain commented on 2012-03-15 15:02

I did it only once. Sorry for misunderstanding, I didn't know how does Mozilla maintain Firefox beta.

@Det Your comment was unnecessary.

Det commented on 2012-03-15 13:56

Did Druedain flag this again?

Because if you don't understand what a "candidate" means you should piss off.

axil42 commented on 2012-03-15 10:39

I usually wait for the beta to appear in /pub/firefox/releases/ before I update the package.

Druedain commented on 2012-03-15 09:57

http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/12.0b1-candidates/ beta 12 arrived.

axil42 commented on 2012-03-12 13:53

If anyone is interested, I made a little script[1] to help me update this package. It downloads the sha1sums file from mozilla ftp, then changes the appropriate values, it builds the src.tar.gz and uploads it to aur using burp. You can ommit some steps to your liking. You use it like

./firefox.sh $pkgver

where $pkgver is the new version of firefox.

[1]https://github.com/markelos/pkgbuilds/blob/master/firefox-beta-bin/firefox.sh

axil42 commented on 2011-12-26 19:40

Sorry for the delay. The 10b1 was under 1.5rc3! and I was looking under 9...

axil42 commented on 2011-11-30 13:23

I guess it could auto-update if firefox was run with root privileges, but who does that??

sironitomas commented on 2011-11-29 22:27

Yeah, I don't think it can be auto-updated since it is a user process and it doesn't have write acess to /usr.

Marcel_K commented on 2011-11-29 22:06

How does it do that? Has it access to you /opt and /usr directories?

Even then, I think it's cleaner to use an Arch Linux package to update your browser and other software.

axil42 commented on 2011-11-29 22:00

I don't think so. It's as if you're saying there is no need for devs to update the stable package in extra.

JamieKitson commented on 2011-11-29 21:01

Isn't this package a bit pointless? Firefox beta will update itself.

axil42 commented on 2011-10-22 11:08

Yeah, I found out about the refresh thing on latest versions of v7beta!

Marcel_K commented on 2011-10-22 08:16

You're welcome. And I'm also on the mailing list, but don't get notifications. It's just by coincidence, I merely check the ftp location every now and then (and don't forget to refresh the directory listing).

axil42 commented on 2011-10-21 21:43

Ok updated :)
fsckd has mentioned before about the quotes but I forgot it, thanks for reminding me ;)
Btw where do you get notified of the new betas? I've subscribed to the newsletter but I don't get any mails regarding new versions. Is there a mailing list or sth?

Marcel_K commented on 2011-10-21 11:46

8.0b4 is out. Moreover, you should surround all instances op ${srcdir} and ${pkgdir} with double quotes, so if these variables contain spaces they are still resolved correctly.

hasardeur commented on 2011-10-07 20:54

Both x86_64 and i686 are installing just fine. Thank you for the effort, much appreciated.

axil42 commented on 2011-10-07 20:25

They seem to have changed the sha1sums. When I uploaded it in the morning, the x86_64 firefox passed the validity check. Check again now, should work fine ;)

axil42 commented on 2011-10-07 20:19

let me check this

hasardeur commented on 2011-10-07 20:13

makepkg fails with "==> ERROR: One or more files did not pass the validity check!". The check sum of the downloaded file is f58e414a7d108706293fdc5994a09f5754b3e056 for firefox-8.0b2.tar.bz2. I am running x86_64 but i686 fails too. Does anyone else experience this?

darehanl commented on 2011-09-12 03:08

Anyone know how to get this version of Firefox to recognize file associations in KDE? I already have libgnome installed and the regular Firefox works fine.

fsckd commented on 2011-08-18 16:38

Please quote, e.g. cd "$srcdir" instead of cd $srcdir. Thanks. :)

axil42 commented on 2011-08-13 15:35

Now I feel like first grade in english class... Sorry man I misunderstood you big time. Thanks for your concern :)

Det commented on 2011-08-13 15:23

Christ, please, tell me, have I really grown friggin incapable of forwarding information?

I meant _other_ people that if you disowned it (and if it wasn't flagged out-of-date) then _other_ people would kindly just flag it instead of even thinking of doing the oh-so-hard updating themselves (even if they actually opened up the browser and came all the way up here to do the flagging).

I didn't mean you, take all the time you need in your vacation, have a good time and definitely don't let people like me let you feel bad about it.

axil42 commented on 2011-08-13 15:07

First of all I wasn't the one that flagged it out of date. I'm on vacation right now and cannot update it. I really can't understand your hostile tone man. If you think that I'm incapable of maintaining it I'll gladly disown it.

Det commented on 2011-08-13 14:55

If you care enough to make a comment about it would it be all too bad to disown it for other people to update it?

Well, admittably it would be pretty talented to find someone willing to do that instead of just flagging..

axil42 commented on 2011-08-13 13:20

Unfortunately I won't be near a computer till thursday and thus the package will have to be outdated till then... Thanks.

Det commented on 2011-07-12 13:15

@sironitomas, you honestly didn't see the two posts right before yours? Also, a little Googling reveals this bug report filed upstream: https://bugzilla.mozilla.org/show_bug.cgi?id=668997

sironitomas commented on 2011-07-12 12:50

While trying to open the preferences window in gnome3, Firefox crashes. This is the output:

/opt/firefox-beta-bin-6.0b1/firefox-bin: symbol lookup error: /usr/lib/gnome-vfs-2.0/modules/libfile.so: undefined symbol: gnome_vfs_unescape_string

Is this a Firefox bug or a packaging one?

axil42 commented on 2011-07-11 10:40

@Cdh
yeap, I can confirm this...

haagch commented on 2011-07-10 08:14

When I try to open pdf files with an external program I get
/opt/firefox-beta-bin-6.0b1/firefox-bin: symbol lookup error: /usr/lib/gnome-vfs-2.0/modules/libfile.so: undefined symbol: gnome_vfs_unescape_string
Can anybody reproduce? Does it need a newer gnome-vfs?

axil42 commented on 2011-07-06 16:14

Why out of date? Why mr bravebug?

axil42 commented on 2011-06-21 06:10

@Det
I found the conversation! http://mailman.archlinux.org/pipermail/aur-general/2011-March/014193.html
You were right though, when no beta is available firefox-beta-bin should be updated to stable :)

Det commented on 2011-06-20 19:50

You mean this one?: "[aur-general] How should *-devel packages generally be handled?" - http://mailman.archlinux.org/pipermail/aur-general/2011-March/014062.html

The last mail there was mine and was the only one I sent. The other time I remember talking about this was in the 'virtualbox_bin_beta' comment section (http://aur.archlinux.org/packages.php?ID=27339&comments=all).

>Do you want to start a discussion in the mailing list?
Concerning "a lot of packages concerning firefox in AUR that should not exist"? I guess I could but I'm not really interested for that matter :s.

axil42 commented on 2011-06-20 12:45

As far as you remember, you had pointed out the same issue in the mailing list and I think some TUs told us to go that way (in particular they told us that firefox-bin doesn't matter that exists). I have no reason to argue with you and it's very easy to update this package. However if someone wants the stable version they can easily grab it from the official repos eg. [testing]. A guy even created firefox-5-bin cause the maintainer of firefox-bin seems disappeared! Unfortunately there are a lot o packages concerning firefox in AUR that should not exist. Do you want to start a discussion in the mailing list?

Det commented on 2011-06-20 12:24

So in order to keep using the latest 'bleeding edge' version you need to switch between this and some separate stable release? That's not really the point in creating beta software.

Could you give me one good reason as to why would you want to do that? Is there _any_ downside at all to use a stable version when the beta is out-of-date?

axil42 commented on 2011-06-20 11:59

This is the latest beta, so please don't flag it out of date. There is firefox-bin which builds from stable releases
and of course there is firefox-5.0 in testing built with PGO enabled. Once there is a firefox6-beta flag it out of date.

megadriver commented on 2011-06-10 08:25

@bwat47
Mozilla's official binaries don't use the system's cairo library but their own bundled, somewhat crippled version. That's why.

This problem is _much more_ noticeable on LCD monitors. I only became aware of it when I replaced my broken CRT with one.

axil42 commented on 2011-06-09 21:34

Thanks, updated :)

@bwat47
I don't have any issues with the font rendering.

axil42 commented on 2011-06-09 21:32

Thanks, updated :)

silvik commented on 2011-06-09 21:13

beta 5 is out: ftp://ftp.mozilla.org/pub/firefox/releases/5.0b5/

Anonymous comment on 2011-06-05 22:19

Is there anyway to make the font rendering not suck with this? Tried creating .fonts.conf and .Xresources ect.. but with this package firefox totally ignores my font rendering settings and looks horrible.

axil42 commented on 2011-06-02 05:55

Updated, thanks for the heads up :)

L42y commented on 2011-06-02 01:42

5.0 beta 3 is out, please update

axil42 commented on 2011-05-20 16:47

LOL. When I posted it definately wasn't there...

yetAnotherZero commented on 2011-05-20 16:44

ftp://ftp.mozilla.org/pub/firefox/releases

down at the bottom is 5.0b2

i just built it

axil42 commented on 2011-05-20 16:40

Where??? I don't see anything in releases :/

yetAnotherZero commented on 2011-05-20 16:37

However beta 2 IS available now

axil42 commented on 2011-05-20 16:37

Nevermind, I'll leave it this way till the real beta comes out :P

Det commented on 2011-05-20 16:32

Find the perpetrators and throw them in jail!

yetAnotherZero commented on 2011-05-20 16:29

@markelos That's why I disowned this package :) it seemed that only one out of 4 out of date notifications was legit

axil42 commented on 2011-05-20 05:48

Why was it flagged out of date?? I can't see any new release.

Det commented on 2011-05-17 16:31

Oh right, that's what the bug report was about :p.

iFSS commented on 2011-05-17 14:59

@Det - nope, that's a repackaged aurora release, made to test the new nightly/aurora/beta channels. A bit silly of them to leave it up there though.
@markelos - cool, cheers :)

Det commented on 2011-05-17 14:01

Isn't it already here?: ftp://ftp.mozilla.org/pub/firefox/releases/5.0b1/linux-x86_64/en-US/

axil42 commented on 2011-05-17 13:24

Cool, I'll update the PKGBUILD as soon as it gets available.

iFSS commented on 2011-05-17 12:13

The current version in this PKGBUILD isn't a beta, see https://bugzilla.mozilla.org/show_bug.cgi?id=652641 - the real beta is supposed to be available sometime today.

Det commented on 2011-04-04 09:30

@aeosynth, wrong, _everything_ is not needed to be "logged" because it's no use for anybody to know that the maintainer changed e.g. a comment in the PKGBUILD (because it won't affect the built package in any way). Most people don't even review the PKGBUILD they are installing. In addition to this there was discussion about this subject in AML not long ago - you can have a look here (the first mail): http://mailman.archlinux.org/pipermail/aur-general/2011-March/014240.html

I used to myself sometimes modify/upload some of my packages like 20 times before I was happy (changed some minor stuff, like the pkgdesc, comments, quotes (") around dir variables ($srcidr, $pkgdir), etc.). Would you imagine if I would've bumped the pkgrel every single time ^^? I believe the longer the build time, the more frustrated people are with pkgrel bumps (though, you can just choose not to update the package when checking for new updates).

And I don't understand what are you talking about this "fork" or "messed package". I maintain no firefox packages at all. The discussion below was about markelos who modified this package to use the nightly firefox builds and I told him to change it back. Even if this 2nd sentence was rejected to markelos, I already told down there that 'firefox-nightly' already exists.

Anonymous comment on 2011-04-04 07:02

@det the whole point of *having* a pkgrel is to log the PKGBUILD version; it's meta information.

if you go around messing with the package itself, you've created a fork, and you should resubmit the new package to the aur as such.

Det commented on 2011-03-27 13:18

And bumping the pkgrel was unnecessary since nothing changed in the package itself ^^.

axil42 commented on 2011-03-27 12:05

Updated. Thanks for your help Det ;)

Det commented on 2011-03-27 11:38

Btw. you don't need both, sha1sums _and_ md5sums. Unlike md5, as of date, nobody has been able to break sha1.

Also the cd line "cd ${srcdir}" is not needed, since all functions are executed from ${srcdir} by default.

Det commented on 2011-03-25 21:04

Ok. Well the auto fetching sha512sums for the nightlies could've been done like this (I actually suggested this for xenom, the maintainer of 'firefox-nightly', but he didn't use it because this way a new version wouldn't be downloaded automatically if the previous nightly existed in the build dir; the sha512sum check would just fail):
sha512sums=(`wget ${source/ta*}checksums -qO - | grep bz | cut -d " " -f1`
[...])

For this package you could do (didn't test this but it should work, you could also use the sha1sums):
md5sums=(`wget ${source/li*}MD5SUMS -qO - | grep ${CARCH} | grep US | grep ta | cut -d " " -f1`
[...])

And no, this package is not a duplicate of anything. "aboutall.cz" just has the same thing going on as you did. 'Firefox-bin' should only follow the stable releases. _But_ because there is already a 'stable binary firefox' in the repos 'firefox-bin' is a duplicate of _that_ one so it should be deleted. I told him already about it.

axil42 commented on 2011-03-25 15:38

Yeah, I didn't notice that there was a nightly release already, my bad... Will change to the way it was before.

I commented the md5sum as the release kept changing and was trying to find a way to pull the sha512sum mozilla created in the PKGBUILD.
If this is for beta/stable releases then it's a duplicate to this one (https://aur.archlinux.org/packages.php?ID=47657).

Det commented on 2011-03-25 13:29

@markelos, well, please un-do that. There's firefox-nightly for the nightly releases. This one is for the beta/stable ones.

E: in addition why are the md5sums commented? This doesn't build as long as they are (unless you'd use --skipinteg, of course).

Det commented on 2011-03-25 13:28

@markelos, well, please un-do that. There's firefox-nightly for the nightly releases. This one is for the beta/stable ones.

axil42 commented on 2011-03-24 22:39

I'm adopting this and updated to nightly releases until firefox5-beta hits the deck ;)

@IdoMcFly
The difference is that this package takes the prebuilt binaries from mozilla whereas the one in extra is built from source with options and patches selected from the maintainer.

Anonymous comment on 2011-03-22 22:34

what is the difference between this bin and the one in extra, I have some font rendering issue with the one in extra :( https://bbs.archlinux.org/viewtopic.php?id=115515

yetAnotherZero commented on 2011-03-22 16:40

I've updated to 4.0 and decided to share it with you all for kicks and giggles.

I'm disowning the package now because the final is released.

Anonymous comment on 2011-03-22 13:48

Firefox 4 full version is released at 21.march. source can be downloaded from Mozilla FTP server ftp://mozilla.fastbull.org/mozilla/firefox/releases/4.0/

Anonymous comment on 2011-03-21 03:18

@zodmaner: It's not so bad, personally; I don't use the Downloads window very often. My mother, however, does and she's ticked :s... Is this an upstream bug or what? I never experienced this with the betas.

Anonymous comment on 2011-03-20 01:43

@Sloshy: Yep, no file associations here too with both RCs too.

Anonymous comment on 2011-03-19 19:59

Am I the only one who isn't getting any file associations with Firefox anymore since I installed the RC? If I open stable Firefox 3.6, my downloads window looks just fine. If I open it in the RC, there's no icons and for every single file it asks me to associate the filetype with an application.

yetAnotherZero commented on 2011-03-19 04:42

rc2. enjoy

w1ntermute commented on 2011-03-19 02:12

Firefox 4.0rc2's out - please update. Anyone who's too impatient to wait can use this modified PKGBUILD: http://paste.pocoo.org/show/355875/

Since it was just released, the official Mozilla FTP is really slow, so try one of the mirrors listed here: https://www.mozilla.org/community/mirrors.html

You just need to manually download the tarball to the same directory as the PKGBUILD and it'll skip the automatic download.

w1ntermute commented on 2011-03-19 02:12

Firefox 4.0rc2's out - please update. Anyone who's too impatient can use this modified PKGBUILD: http://paste.pocoo.org/show/355875/

Since it was just released, the official Mozilla FTP is really slow, so try one of the mirrors listed here: https://www.mozilla.org/community/mirrors.html

You just need to manually download the tarball to the same directory as the PKGBUILD and it'll skip the automatic download.

w1ntermute commented on 2011-03-19 02:12

Firefox 4.0rc2's out - please update. Anyone who's too impatient can use this modified PKGBUILD: http://paste.pocoo.org/show/355875/

Since it was just released, the official Mozilla FTP is really slow, so try one of the mirrors listed here: https://www.mozilla.org/community/mirrors.html

You just need to manually download the tarball to the same directory as the PKGBUILD and it'll skip the automatically download.

yetAnotherZero commented on 2011-03-18 15:40

dudes. marking this package as out of date when it isn't wastes a LOT of my time. I have to deal with it every couple days. knock it off PLEASE

Thank you :)

Anonymous comment on 2011-03-11 10:13

The btrfs+compress problem can be worked around by inserting a 'sync' after the line 'cd $srcdir' in the PKGBUILD. This is a very serious bug in btrfs, though...

intgr commented on 2011-03-10 15:17

@speed145a: It would be cool if you sent a message every time you update the package, so we wouldn't have to check for updates manually. Thanks :)

yetAnotherZero commented on 2011-03-07 04:09

yes i will continue to update it until the final is released.
However, I'm not seeing the rc1 just yet. I'm not packaging nightly builds.

stay tuned...

guisacouto commented on 2011-03-06 14:19

firefox 4 rc1 is out. will this package cover this version? I'm asking this question since its not a beta anymore, but a release candidate.

best regards

guisacouto commented on 2011-03-06 14:19

firefox 4 rc1 is out. will this package cover this version? I'm asking this question since its not a beta anymore, but a release candidate.

best regards

yetAnotherZero commented on 2011-02-26 20:43

sorry for the delay, school is eating my lunch... beta 12 up.

ammon commented on 2011-02-26 17:41

Yes, same problem with brfs and compress.
But kernel downgrade helped.

ammon commented on 2011-02-26 17:38

Yes, same problem with brfs and compress.
But kernel downgrade helped.

intgr commented on 2011-02-26 16:16

@ammon: Just wondering, did the file contain null bytes? Do you use compressed btrfs too or is there another cause for you?

ammon commented on 2011-02-26 16:14

@ intgr

Problem fixed by downgrading kernel to 2.6.36

Anonymous comment on 2011-02-26 11:22

@mfontani
works nicely, thank you!

Anonymous comment on 2011-02-26 11:09

I've successfully built 4.0b12, see the pastebin below for the diff against the PKGBUILD. Hope this helps.
http://pastebin.com/8aynk4h6

intgr commented on 2011-02-21 08:04

@ammon: what does the file contain?
I got the same error message due to a bug in compressed btrfs, the file was full of null bytes: https://lkml.org/lkml/2011/2/13/84

ammon commented on 2011-02-20 16:52

I have just installed this
And this is what i got

/usr/bin/firefox-beta-bin ~
zsh: exec format error: /usr/bin/firefox-beta-bin

Det commented on 2011-02-19 22:48

Because it would provide what's marked as conflicting with firefox-kde-opensuse ('firefox').

yetAnotherZero commented on 2011-02-09 16:49

@intgr
All I know is I have the package firefox-kde-opensuse installed, and when I put the line "provides=" it wanted to remove firefox-kde-opensuse :/

intgr commented on 2011-02-09 07:38

@speed145a
As far as I can tell provides= doesn't exclude the older Firefox from being installed. conflicts= would do that. You can enable the line by default and still allow parallel installation of older Firefox.
Unless there are some edge cases in pacman where it gets confused.

yetAnotherZero commented on 2011-02-08 21:37

you owe me one intgr. that required me editing the PKGBUILD and copy pasting that code in....

enjoy

EDIT: I left that line in there, but have commented it out. this will allow easy editing for those who want it, but it will not allow side by side installation with the current stable if the "provides" line is uncomented.

yetAnotherZero commented on 2011-02-08 21:31

you owe me one intgr. that required me editing the PKGBUILD and copy pasting that code in....

enjoy

intgr commented on 2011-02-08 10:56

Would there be any downside to adding the line: provides=("firefox=$pkgver")
That would shut up packages that depend on the "firefox" package

Anonymous comment on 2011-01-26 16:11

Beta 10 is out!

yetAnotherZero commented on 2011-01-17 17:37

@xelados makepkg does have support! (see my PKGBUILD for more details...) :P

@Revolt I've updated the *.desktop files to include that line. No version bump because it's a minor change that won't be needed by many....

AlexJF commented on 2011-01-16 11:59

Might I suggest adding the following line

StartupWMClass=Firefox

To the /usr/share/applications/firefox-beta-bin.desktop file? So that those of us who use Docky for instance don't get 2 firefox icons (one being the launcher and the other one being the running firefox instance).

Anonymous comment on 2011-01-15 18:25

speed145a: I see. On that note, I'm a bit surprised that makepkg doesn't have support for two or more hash arrays to check with...

yetAnotherZero commented on 2011-01-15 17:48

Updated.

@xelados that extra sums line is for supporting i686 arch because the d/l is different, the md5 and sha1 sums are different. :-)

pkerwien commented on 2011-01-15 15:17

I think you should keep the old construction in the PKGBUILD file if you want to support both i686 and x86-64. So add the x86-64 checksums in the array, and put the i686 checksums in the check before the build() function.

pkerwien commented on 2011-01-15 13:46

From ftp://ftp.mozilla.org/pub/firefox/releases/4.0b9/MD5SUMS:

a9f506023fe28048a4db8199486fffb9 ./linux-i686/en-US/firefox-4.0b9.tar.bz2
89d4c0d417d3f86be2908e576316726a ./linux-x86_64/en-US/firefox-4.0b9.tar.bz2

From ftp://ftp.mozilla.org/pub/firefox/releases/4.0b9/SHA1SUMS:

e6d79df92f119206522bb343193af91570f4ed9c ./linux-i686/en-US/firefox-4.0b9.tar.bz2
6d5d22d1a35af23d30124ecd1db51722a7dd8b06 ./linux-x86_64/en-US/firefox-4.0b9.tar.bz2

raven24 and I used x86-64 checksums, xelados i686 checksums.

Anonymous comment on 2011-01-15 13:27

My checksums were copied directly from the MD5SUMS and SHA1SUMS files found in the root of the linux download dir. If they're wrong, then Mozilla's checksums are.

pkerwien commented on 2011-01-15 13:18

@raven24: Yes, same checksums I also used. But tar.bz2, not tar.gz.

Anonymous comment on 2011-01-15 13:05

@xelados: your md5 and sha1 sums are incorrect for the firefox tar.gz.
these worked for me:
md5: 89d4c0d417d3f86be2908e576316726a
sha1: 6d5d22d1a35af23d30124ecd1db51722a7dd8b06

Anonymous comment on 2011-01-15 12:02

http://sprunge.us/PcWU

Updated PKGBUILD and removed pointless bash hash check since the PKGBUILD arrays do it for us.

Anonymous comment on 2011-01-14 21:06

Beta 9 is out :)

ftp://ftp.mozilla.org/pub/firefox/releases/4.0b9/

dikei commented on 2010-12-28 10:40

@Eothred: Just run firefox 3.x and 4.x with seperate profile and it will be fine.

Use "firefox -ProfileMananager" to open profile manager
Use "firefox -P {profile name} -no-remote" to run firefox with selected profile and to run more than one instance of firefox concurrently.

Eothred commented on 2010-12-28 00:18

Perhaps a stupid question, but is it possible to get this beta version of Firefox to use a config folder named something like $HOME/.firefox4beta instead of $HOME/.firefox? This way it wouldn't conflict that much with a stable version 3.x installed alongside it...

yetAnotherZero commented on 2010-12-27 22:50

@herve I'm not really sure what you are asking... do you not like downloading the firefox binary from the firefox ftp site?

herve commented on 2010-12-22 08:21

Thanks for your work. Couldn't the tarball be downloaded from a mirror?

yetAnotherZero commented on 2010-12-21 18:58

updated to b8. added gtk2 to depends.

Anonymous comment on 2010-12-21 12:56

Beta 8 is out! :D
ftp://ftp.mozilla.org/pub/firefox/releases/4.0b8/

Anonymous comment on 2010-12-14 19:38

Add gtk2 to dependencies please. Firefox required gtk2 to work for me.

Anonymous comment on 2010-12-14 10:40

@alessandro_ufms: Ah, I didn't know we already had a package for that. Sorry.

Anonymous comment on 2010-12-14 10:30

@zodmaner: to preview releases use firefox-nightly.

Anonymous comment on 2010-12-14 02:06

Here is the link to preview release of beta 8 for Linux. Both i686 and x86_64 package are available.
http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/latest-trunk/

yetAnotherZero commented on 2010-12-04 19:06

Sacrebleu!

Anonymous comment on 2010-12-03 21:24

It seems it already exist for linux. The french beta exists, but not english.

yetAnotherZero commented on 2010-11-22 23:49

let me know when it's released for linux.

you can look here:
ftp://ftp.mozilla.org/pub/firefox/releases/

faidoc commented on 2010-11-22 10:04

Beta 8 out

btreecat commented on 2010-11-12 11:19

Is this binary compiled with JägerMonkey enabled?

sjakub commented on 2010-11-11 04:26

Who is setting it to out-of-date and why?

yetAnotherZero commented on 2010-11-10 21:10

beeeee seven!

Epicanis commented on 2010-11-08 22:05

Probably because they're impatient. Either that, or they noticed that b7 was built on the 4th (though it's not scheduled to be actually released to the public until probably Wednesday, Nov 9.)

https://wiki.mozilla.org/WeeklyUpdates/2010-11-08

yetAnotherZero commented on 2010-11-05 18:52

why the eff are you people marking as out of date when b6 is still the current???

yetAnotherZero commented on 2010-10-12 16:03

let me know when it drops. releases are still at b6 :-)

cookiecaper commented on 2010-10-12 06:11

Out of date? The nightlies are now Firefox 4.0b8pre, implying that 4.0b7 should be released or releasing shortly.

yetAnotherZero commented on 2010-10-11 14:54

once again, I don't see a new release. unflagging...

yetAnotherZero commented on 2010-09-27 15:31

I don't see a new release. unflagging out of date

yetAnotherZero commented on 2010-09-23 17:54

Just so you know: I use makepkg to pull the sources. I just hard code the 686 arch in to get that file to come down. It sounds like it's isolated to your machine somehow.

Rulatir commented on 2010-09-23 00:51

I'm on i686. Tried with raw makepkg w/o wrappers (used aurget before). The problem persists. The file being downloaded is:

firefox-4.0b6.tar.bz2

Size: 13705216
MD5: 83f53c99a457cbc8c92648b73fbc42bc
SHA1: e1b62c6251a01fd05e304ff52c00ecee5085757b

When downloaded with a web browser, the size is 13704023, and this is the good file. Binary diff viewer indicates that the bad file is exactly the good file zero-padded to the next multiple of 4k. Must be a bug in whatever makepkg uses to retrieve the file, or in btrfs (falloc???).

Rulatir commented on 2010-09-23 00:18

Hmmm. I am using aurget and it downloads .tar.gz even though the PKGBUILD specifies .tar.bz2 - WEIRD AS HELL! Trying with raw makepkg now to see who's guilty...

Rulatir commented on 2010-09-23 00:09

@speed145a: while it is possible that a download was bad, it is very unlikely that a download, a re-download, a re-re-download and a re-re-re-download were ALL bad. This file is downloaded from a single location, so it was NOT just bad luck with mirrors. Attempting again now.

yetAnotherZero commented on 2010-09-21 19:18

I rechecked the checksums and they seem fine on both arches...

yetAnotherZero commented on 2010-09-21 15:50

what arch are you on? perhaps i botched the i686 checksum?

if not, then perhaps your download was bad.

Anonymous comment on 2010-09-20 20:52

I did not have a problem with the checksum, it worked with no issues

Rulatir commented on 2010-09-20 16:19

Checksum fails for the main download:

==> Sprawdzam pliki źródłowe przy użyciu md5sums...
firefox-4.0b6.tar.bz2 ... NIE ZGADZA SIĘ

Even tried multi.

Rulatir commented on 2010-09-20 16:08

Checksum fails for the main download:

==> Sprawdzam pliki źródłowe przy użyciu md5sums...
firefox-4.0b6.tar.bz2 ... NIE ZGADZA SIĘ

Even tried multi.

yetAnotherZero commented on 2010-09-15 14:11

updated :p

kjozsa commented on 2010-09-15 07:57

beta 6 is out today :)

yetAnotherZero commented on 2010-09-08 15:53

beta 5 :-)

yetAnotherZero commented on 2010-08-26 16:23

@Sloshy

LOL :-)

At least you learned something without needing outside help.

@Slumslayer

thank you. updated.

Anonymous comment on 2010-08-25 17:47

Nevermind about my problem; I found out that there's different files for different architectures and the i686 sums were different from the x86_64 sums. The PKGBUILD you made distinguishes between them, and I forgot to check for that. Sorry for my noob-ish behavior. Thanks for the package!

Anonymous comment on 2010-08-25 11:37

/opt/firefox-beta-bin-4.0b4/firefox-bin: error while loading shared libraries: libdbus-glib-1.so.2: cannot open shared object file: No such file or directory

Pleas add dbus-glib as dependency.

Anonymous comment on 2010-08-24 21:17

One question: I made my own package of this from feeling impatient while you updated the PKGBUILD, and I struggled with the integrity check. When I ran makepkg -g and/or md5sum/sha1sum, I got these results:

md5sums=('fecfa4288a0059f33d57a6468a76d0cb'
'0d2363aae1259395aa1a46b3b55551f0'
'1e5bbb1571baf83bc3b1d4dc23ddb22b')
sha1sums=('5ba438b53c764667480ba29379df223d2378b86d'
'400000a0d027b17fccda742ac6217e047534fa82'
'cd0c4c4adfaf7ccacadaeb40313c6f1f9891b85b')

The sums for the first source, Firefox itself, were found to be wrong for some reason, even though I used the right sources. What am I doing wrong; what are you doing right?

yetAnotherZero commented on 2010-08-24 19:02

voila! beta 4 PKGBUILD

anonymous_user commented on 2010-08-24 16:06

Beta 4 is out.

Anonymous comment on 2010-08-14 19:30

For another languaje

ftp://ftp.mozilla.org/pub/firefox/releases/4.0b3/linux-i686/xpi/

yetAnotherZero commented on 2010-08-11 16:26

updated to beta 3

yetAnotherZero commented on 2010-08-01 06:07

I don't really know anything about locales. I just picked up this PKGBUILD from the original writer so it would be updated... If you have suggestions or patches feel free to submit them and I'll be sure to build them into the build at some point :-)

Anonymous comment on 2010-07-28 16:46

What about locales for this? Is there anything I can do to help?

yetAnotherZero commented on 2010-07-28 16:43

ta-da! beta two

Anonymous comment on 2010-07-28 02:33

it is out http://www.mozilla.com/en-US/firefox/all-beta.html

yetAnotherZero commented on 2010-07-26 20:51

latest out of date flag seems incorrect. I do not see beta 2 out yet for linux...

Anonymous comment on 2010-07-08 19:06

my fonts are not antialiased with this version :( no problem with 3.6.6

yetAnotherZero commented on 2010-07-07 17:53

adopted. open to community suggestions :-)

Schnouki commented on 2010-07-07 09:06

Created that just for fun, works well for me... but since I don't have enough time to maintain it, I orphaned it. Feel free to adopt!

Not tested on i686.